Page MenuHomePhabricator

Edits to text on payments page
Closed, ResolvedPublic2 Story Points

Description

Hi all,

Regarding the following language on the opt-in banners payments page:
"We will email you a receipt to confirm your donation."

... and considering we want to pre-test the Euro bundle by Monday, Feb 18, we have the following request and questions:

  1. We would like to remove this in anticipation of launching the bundle since it's only in English (Thea will confirm this is ok with DS on Feb 13). CC says it's legally ok.
  2. For future purposes: Would it be possible to make this translatable?
  3. For future purposes: Would it be possible to apply some logic to this? We think it makes sense it would only appear when a donor selects "No" for email opt-in.

To confirm: We wouldn't need any work started on #2, #3 ... we would just like to know what's possible & when so we could figure out next steps.

Thanks!
Thea

Event Timeline

TSkaff created this task.Feb 12 2019, 6:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 12 2019, 6:01 PM

@Ejegg as fyi

The lack of translations is probably a bug.

@MBeat33 might have concerns if we remove this.

@DStrine Thanks David; and if it's a bug, can anyone tell me into which languages we have it translated?

Change 490135 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Make email explanation translatable

https://gerrit.wikimedia.org/r/490135

Ejegg added a comment.Feb 12 2019, 7:49 PM

It wan't translatable before (just a quick hack to get something for IE and GB) but it will be once we get that patch merged ^^^

Change 490135 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Make email explanation translatable

https://gerrit.wikimedia.org/r/490135

DStrine set the point value for this task to 2.
Ejegg added a comment.Feb 22 2019, 1:27 AM

@TSkaff, in answer to your first question, it's super simple to remove - just don't include variant=emailExplain in the URL, and it won't show up.

Ejegg added a comment.Feb 25 2019, 3:21 PM

Oh weird @Pcoombe, that was totally not intended. The emailExplain variant was supposed to just insert an extra row after the email field: https://phabricator.wikimedia.org/diffusion/EDOI/browse/master/modules/js/ext.donationInterface.emailExplain.js

We'll have to look into why it seems to be suppressing the opt_in checkboxes.

@Ejegg If we have the opt_in parameter in the URL then I think we do want to suppress the question though, as we already asked it (in the banner, or on donatewiki)

mepps added a subscriber: mepps.Feb 25 2019, 4:19 PM

Let's break this conversation about opt_in into a separate task.

Ejegg added a comment.Feb 27 2019, 4:00 PM

Aha, I figured it out. The 'variant' parameter lets you override everything in the gateway's config dir, e.g. https://phabricator.wikimedia.org/diffusion/EDOI/browse/master/globalcollect_gateway/config/

That includes the country_fields file which tells us which countries need the opt_in parameter: https://phabricator.wikimedia.org/diffusion/EDOI/browse/master/globalcollect_gateway/config/country_fields.yaml

Looks like we decided to override that file in the emailExplain variant, replacing it with one that doesn't require opt_in to be shown: https://phabricator.wikimedia.org/source/mediawiki/browse/fundraising%252FREL1_27/form_variants/emailExplain/globalcollect/

Change 493618 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] Only show emailExplain when opted out

https://gerrit.wikimedia.org/r/493618

Ejegg claimed this task.Feb 28 2019, 10:30 PM
Ejegg triaged this task as Normal priority.
Ejegg moved this task from Doing to Review on the Fundraising Sprint Da Vinci Coder board.

Change 493618 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Only show emailExplain when opted out

https://gerrit.wikimedia.org/r/493618

Change 494390 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Make email explanation translatable

https://gerrit.wikimedia.org/r/494390

Change 494396 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@deployment] Only show emailExplain when opted out

https://gerrit.wikimedia.org/r/494396

Change 494390 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Make email explanation translatable

https://gerrit.wikimedia.org/r/494390

Change 494396 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@deployment] Only show emailExplain when opted out

https://gerrit.wikimedia.org/r/494396

Ejegg added a comment.Mar 5 2019, 4:35 PM

This is deployed - the emailExplain variant now only shows the text when the donor has opted OUT, and there are translations in these languages:
ar
bg
de
en
fr
he
id
mk
pt-br
pt
roa-tara
zh-hant

Ejegg added a comment.Mar 5 2019, 4:43 PM

@TSkaff, @spatton, et al: Do you want to keep this as a 'variant' that needs to be triggered by that URL parameter, or would you rather this be the default behavior for any form where the donor has opted out of email lists upstream (on a banner or donatewiki)?

Thanks @Ejegg ! We'd be happy to make this default for anyone who opted out, and shorten our URLs by removing the variant parameter :)